@import '../core/base';
@import '../mixins/flex';
@import '../modules/buttons';

.header {
  background-color: $color-bg-header;
  box-shadow: $box-shadow-header;
  color: #fff;
  position: fixed;
  padding: .6rem 0;
  // max-width: 37.5rem;
  margin: 0 auto;
  top: 0;
  width: 100%;
  z-index: 99;
  @include tablet-md {
    max-width: 100%;
  }
  &__container {
    // @include flex(center, space-between);
    padding: 0 1.5rem;
    width: 100%;
  }
  &__title {
    font-weight: 600;
    font-size: 2.4rem;
    letter-spacing: 0.5px;
    padding-bottom: 0;
    color: #FFFFFF;
  }
  & svg, & button {
    color: #fff;
  }
  & button:disabled,
  & input:disabled + svg {
    color: rgba(255,255,255, .5);
  }
  & button {
    @include mobile-md {
      margin-top: 0 !important;
    }
  }
}